﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace Editor {
    static class Program {

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main(string[] args) {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            Form f;

            try {
                f = new EditorForm((args.Length > 0) ? args[0] : null);
            } catch {
                return;
            }

            Application.Run(f);
        }
    }
}
